Bug 112527 - content types use depracated class
content types use depracated class
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-22 05:28 EST by Steve Etherington
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:19:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Etherington 2003-12-22 05:28:03 EST
Description of problem:
The class ItemPropertySheet is depracated (as of August at the
latest), but it is still used in several Content Types as of the
December-5 release of Aplaws2.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The class that is recommended as a replacement is ItemDetail, which
does not appear to be used anywhere.
Comment 1 Daniel Berrange 2004-01-06 10:43:18 EST
Content types fixed in p4 39125

Name of replacement class fixed in p4 39127 (use
c.a.toolbox.ui.DomainObjectPropertySheet, not ItemDetail).
Comment 2 David Lawrence 2006-07-17 23:13:50 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 3 Jon Orris 2006-09-05 13:19:23 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.